Bug 439599 - System Monitor - SElinux - Nice value
System Monitor - SElinux - Nice value
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 10:26 EDT by Flóki Pálsson
Modified: 2014-06-18 05:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:26:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux log and more (3.24 KB, text/plain)
2008-03-29 10:26 EDT, Flóki Pálsson
no flags Details

  None (edit)
Description Flóki Pálsson 2008-03-29 10:26:07 EDT
Description of problem:
Not possible to change priority in System Monitor 2.22.0


Version-Release number of selected component (if applicable):
gnome-system-monitor-2.22.0-1.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1.
Applications -> System Tools -> System Monitor 
2.
Select Tab Processes 
3.
right clik on Process select Change priority 
lower   Nice value 
Actual results:
Cannot change the priority of process with pid 2447 to -7: Permission denied


Expected results:
lower nice value for process

Additional info:
No file has SElinux context  s
See bug https://bugzilla.redhat.com/show_bug.cgi?id=439521

In terminal 

[root@localhost ~]# 
[root@localhost ~]# renice -5 2447
2447: old priority 0, new priority -5
[root@localhost ~]# 

If I set SElinux in Premessive mode then I can change Nice value
Comment 1 Flóki Pálsson 2008-03-29 10:26:07 EDT
Created attachment 299578 [details]
SELinux log and more
Comment 2 Flóki Pálsson 2008-04-04 18:16:06 EDT
It is now after latest updates to lower  Nice value with System Monitor.

All Nice values are set to 0 by default. This is a different form FC8.
Comment 3 Bug Zapper 2008-05-14 04:24:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:55:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:26:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.